package net.knarcraft.ffmpegconverter.streams;

/**
 * An object representation of a video stream in a media file
 */
public class VideoStream extends StreamObject {

    /**
     * Instantiates a new video stream
     * @param codec <p>The name of the codec for the video stream.</p>
     * @param absoluteIndex <p>The index of the video stream.</p>
     * @param relativeIndex <p>The index of the video stream relative to other video streams.</p>
     */
    public VideoStream(String codec, int absoluteIndex, int relativeIndex) {
        this.codecType = "video";
        this.codecName = codec;
        this.absoluteIndex = absoluteIndex;
        this.relativeIndex = relativeIndex;
    }
}